<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__capsense__enums" kind="group">
    <compoundname>group_capsense_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__capsense__enums_1ga07f6f8cbe8fa1cebb08e2bd44e9de29b" kind="enum" prot="public" static="no">
        <name>cy_en_capsense_bist_external_cap_id_t</name>
        <enumvalue id="group__group__capsense__enums_1gga07f6f8cbe8fa1cebb08e2bd44e9de29baf3745617d4c520ecd77a4b87a8fe8172" prot="public">
          <name>CY_CAPSENSE_BIST_CMOD_ID_E</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>ID for Cmod external capacitor. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga07f6f8cbe8fa1cebb08e2bd44e9de29bacfe90ee851fdb0c5990cf9c255c2142d" prot="public">
          <name>CY_CAPSENSE_BIST_CINTA_ID_E</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>ID for CintA external capacitor. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga07f6f8cbe8fa1cebb08e2bd44e9de29ba8d03343ec314140673d8b7034caeacc8" prot="public">
          <name>CY_CAPSENSE_BIST_CINTB_ID_E</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>ID for CintB external capacitor. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga07f6f8cbe8fa1cebb08e2bd44e9de29ba86cb63cafed2d806f3a916f9ab51890f" prot="public">
          <name>CY_CAPSENSE_BIST_CSH_ID_E</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>ID for Csh external capacitor. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_capsense_bist_external_cap_id_t: </bold><linebreak />Defines IDs of the external capacitors.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="59" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" bodystart="53" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_selftest.h" line="54" />
      </memberdef>
      <memberdef id="group__group__capsense__enums_1gaadb1f5ee70c7d52a5375cdae765093dc" kind="enum" prot="public" static="no">
        <name>cy_en_capsense_tuner_state_t</name>
        <enumvalue id="group__group__capsense__enums_1ggaadb1f5ee70c7d52a5375cdae765093dca90d0945b863d6c568c124179622abcb8" prot="public">
          <name>CY_CAPSENSE_TU_FSM_RUNNING</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>Running state is a state when CapSense middleware is not blocked by the CapSense Tuner tool and application program continuously scans. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggaadb1f5ee70c7d52a5375cdae765093dcabd652b762757d2927ff7efc5b61d58ea" prot="public">
          <name>CY_CAPSENSE_TU_FSM_SUSPENDED</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>Scanning is suspended. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggaadb1f5ee70c7d52a5375cdae765093dca8bfd4b992045ded35c5a92a3fd1de30a" prot="public">
          <name>CY_CAPSENSE_TU_FSM_ONE_SCAN</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>Scanning is suspended after one scan cycle. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_capsense_tuner_state_t: </bold><linebreak />Defines MW Tuner module states.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="54" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="48" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="49" />
      </memberdef>
      <memberdef id="group__group__capsense__enums_1ga049118d05a2bdf4f2d37d7b75c511f79" kind="enum" prot="public" static="no">
        <name>cy_en_capsense_tuner_cmd_t</name>
        <enumvalue id="group__group__capsense__enums_1gga049118d05a2bdf4f2d37d7b75c511f79a3fdf6f04116abcaf626fda9269e9dba8" prot="public">
          <name>CY_CAPSENSE_TU_CMD_NONE_E</name>
          <initializer>= 0u</initializer>
          <briefdescription>
<para>No command. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga049118d05a2bdf4f2d37d7b75c511f79a86106715ac1df2c1149a7c9dedb51469" prot="public">
          <name>CY_CAPSENSE_TU_CMD_SUSPEND_E</name>
          <initializer>= 1u</initializer>
          <briefdescription>
<para>Suspend command. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga049118d05a2bdf4f2d37d7b75c511f79ae9746952315a1ef0fc8e294383b37e0f" prot="public">
          <name>CY_CAPSENSE_TU_CMD_RESUME_E</name>
          <initializer>= 2u</initializer>
          <briefdescription>
<para>Resume command switches state from suspend to running. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga049118d05a2bdf4f2d37d7b75c511f79ab9eb1fff3c78f2eb26b9a33c667e5385" prot="public">
          <name>CY_CAPSENSE_TU_CMD_RESTART_E</name>
          <initializer>= 3u</initializer>
          <briefdescription>
<para>Restart command requests to perform CapSense re-initialization. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga049118d05a2bdf4f2d37d7b75c511f79a87282482662ce591d86c7767bae8217a" prot="public">
          <name>CY_CAPSENSE_TU_CMD_RUN_SNR_TEST_E</name>
          <initializer>= 4u</initializer>
          <briefdescription>
<para>Reserved. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga049118d05a2bdf4f2d37d7b75c511f79a133f8c8b5cdf8f35e298d8cd203d17c5" prot="public">
          <name>CY_CAPSENSE_TU_CMD_PING_E</name>
          <initializer>= 5u</initializer>
          <briefdescription>
<para>Ping command to check whether application program calls <ref kindref="member" refid="group__group__capsense__high__level_1ga0c613df550388c119fdab4e50341a6b4">Cy_CapSense_RunTuner()</ref> </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga049118d05a2bdf4f2d37d7b75c511f79a4878ec99a8b651b4a1812af156b4df6d" prot="public">
          <name>CY_CAPSENSE_TU_CMD_ONE_SCAN_E</name>
          <initializer>= 6u</initializer>
          <briefdescription>
<para>Execute one scan cycle and then switch to suspend state. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga049118d05a2bdf4f2d37d7b75c511f79a0598ab56c52f94b05400c1c4b52243b9" prot="public">
          <name>CY_CAPSENSE_TU_CMD_WRITE_E</name>
          <initializer>= 7u</initializer>
          <briefdescription>
<para>Writes specified data with offset into cy_capsense_tuner. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_capsense_tuner_cmd_t: </bold><linebreak />Defines the Tuner command codes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="67" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="57" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="58" />
      </memberdef>
      <memberdef id="group__group__capsense__enums_1ga855d894b24929f0d7d2774dfc4266d60" kind="enum" prot="public" static="no">
        <name>cy_en_capsense_widget_type_t</name>
        <enumvalue id="group__group__capsense__enums_1gga855d894b24929f0d7d2774dfc4266d60a12b429b17049aec3da05bba98d86d704" prot="public">
          <name>CY_CAPSENSE_WD_BUTTON_E</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>Button widget. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga855d894b24929f0d7d2774dfc4266d60ab7ce0cce1660ed385f8f570fce1a89ea" prot="public">
          <name>CY_CAPSENSE_WD_LINEAR_SLIDER_E</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>Linear Slider widget. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga855d894b24929f0d7d2774dfc4266d60a50cac3d4ee616bbc7e0c9ed9dced309e" prot="public">
          <name>CY_CAPSENSE_WD_RADIAL_SLIDER_E</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>Radial Slider widget. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga855d894b24929f0d7d2774dfc4266d60a49a619428a7d70767032000b70d3c5d5" prot="public">
          <name>CY_CAPSENSE_WD_MATRIX_BUTTON_E</name>
          <initializer>= 0x04u</initializer>
          <briefdescription>
<para>Matrix Buttons widget. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga855d894b24929f0d7d2774dfc4266d60a71ed340a3d5c1ec96169c5a7d4ee91df" prot="public">
          <name>CY_CAPSENSE_WD_TOUCHPAD_E</name>
          <initializer>= 0x05u</initializer>
          <briefdescription>
<para>Touchpad widget. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga855d894b24929f0d7d2774dfc4266d60a840f00e988ee5ed8d1b0ca0a6f91fe2c" prot="public">
          <name>CY_CAPSENSE_WD_PROXIMITY_E</name>
          <initializer>= 0x06u</initializer>
          <briefdescription>
<para>Proximity widget. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_capsense_widget_type_t: </bold><linebreak />Defines widget types.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="78" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="70" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="71" />
      </memberdef>
      <memberdef id="group__group__capsense__enums_1gacf2944091a3125fba10a168982a1008b" kind="enum" prot="public" static="no">
        <name>cy_en_capsense_sensing_method_t</name>
        <enumvalue id="group__group__capsense__enums_1ggacf2944091a3125fba10a168982a1008ba1dc9940367de4b895eca63d20b5e2a63" prot="public">
          <name>CY_CAPSENSE_UNDEFINED_E</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>Undefined method used at initialization or releasing the CSD HW block. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggacf2944091a3125fba10a168982a1008ba2ca9ef54ef708b81fcf6677a51a14c77" prot="public">
          <name>CY_CAPSENSE_SENSE_METHOD_CSD_E</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>CSD sensing method. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggacf2944091a3125fba10a168982a1008ba9e09b42fcf71877ce700a3c1454ff4b1" prot="public">
          <name>CY_CAPSENSE_SENSE_METHOD_CSX_E</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>CSX sensing method. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggacf2944091a3125fba10a168982a1008ba9ce0cae7f0d3e53838d58749ae9e8724" prot="public">
          <name>CY_CAPSENSE_SENSE_METHOD_BIST_E</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>BIST sensing method. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_capsense_sensing_method_t: </bold><linebreak />Defines sensing methods types.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="87" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="81" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="82" />
      </memberdef>
      <memberdef id="group__group__capsense__enums_1gaa96ebe173a9a3ec24f7461f696482b11" kind="enum" prot="public" static="no">
        <name>cy_en_capsense_return_status_t</name>
        <enumvalue id="group__group__capsense__enums_1ggaa96ebe173a9a3ec24f7461f696482b11a3ddd2a0c59c25f817f852c4d899784c3" prot="public">
          <name>CY_CAPSENSE_SUCCESS_E</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>The success return status. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggaa96ebe173a9a3ec24f7461f696482b11ae2fbf89a3a3b2871d0a0e5e5d3d8c1e3" prot="public">
          <name>CY_CAPSENSE_BAD_PARAM_E</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>One or more invalid input parameters. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggaa96ebe173a9a3ec24f7461f696482b11abb6a9f4b907a0729c96d87544d6e1c09" prot="public">
          <name>CY_CAPSENSE_HW_LOCKED_E</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>The CSD HW block is captured by another middleware. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggaa96ebe173a9a3ec24f7461f696482b11a862eaeca0dacb3f3eb6d3209ed7f9fe1" prot="public">
          <name>CY_CAPSENSE_HW_BUSY_E</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>The CSD HW block is busy by previous operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggaa96ebe173a9a3ec24f7461f696482b11a98e6cd62cd72566bbd7025c1c4d9995c" prot="public">
          <name>CY_CAPSENSE_TIMEOUT_E</name>
          <initializer>= 0x04u</initializer>
          <briefdescription>
<para>The CSD HW block operation was not finished correctly. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_capsense_return_status_t: </bold><linebreak />Defines CapSense return statuses types.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="97" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="90" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="91" />
      </memberdef>
      <memberdef id="group__group__capsense__enums_1ga8d3df6022888bbb21e3e64e2b045274d" kind="enum" prot="public" static="no">
        <name>cy_en_capsense_eltd_t</name>
        <enumvalue id="group__group__capsense__enums_1gga8d3df6022888bbb21e3e64e2b045274da6b30d1746bc14d69c2fff2005dafcda8" prot="public">
          <name>CY_CAPSENSE_ELTD_TYPE_SELF_E</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>Electrode used as a sensor in CSD sensing method. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga8d3df6022888bbb21e3e64e2b045274daf6a726323bc533e487382a42b87f4887" prot="public">
          <name>CY_CAPSENSE_ELTD_TYPE_MUT_TX_E</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>Electrode used as a TX in CSX sensing method. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga8d3df6022888bbb21e3e64e2b045274da4ca96cabafe3a952831e44d17b8dff12" prot="public">
          <name>CY_CAPSENSE_ELTD_TYPE_MUT_RX_E</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>Electrode used as a RX in CSX sensing method. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_capsense_eltd_t: </bold><linebreak />Defines types of electrode.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="105" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="100" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="101" />
      </memberdef>
      <memberdef id="group__group__capsense__enums_1gac15b3ea1caa3c42666ba5e50cabb416f" kind="enum" prot="public" static="no">
        <name>cy_en_capsense_cap_connection_t</name>
        <enumvalue id="group__group__capsense__enums_1ggac15b3ea1caa3c42666ba5e50cabb416fa40e8044b7c69e4bf9cfe872fccec8db2" prot="public">
          <name>CY_CAPSENSE_CMODPAD_E</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>External capacitor is connected to dedicated CMOD pad. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggac15b3ea1caa3c42666ba5e50cabb416fa818a3440d9895ed39574ccaba909ca02" prot="public">
          <name>CY_CAPSENSE_CTANKPAD_E</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>External capacitor is connected to dedicated CSH pad. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggac15b3ea1caa3c42666ba5e50cabb416fa4443cabccd1c4ba6e0161421b2e68ef7" prot="public">
          <name>CY_CAPSENSE_CSHIELDPAD_E</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>External capacitor is connected to dedicated SHIELD pad. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggac15b3ea1caa3c42666ba5e50cabb416fa420665561af172fd28659e2c7e728df5" prot="public">
          <name>CY_CAPSENSE_VREFEXTPAD_E</name>
          <initializer>= 0x04u</initializer>
          <briefdescription>
<para>External capacitor is connected to dedicated VREF pad. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_capsense_cap_connection_t: </bold><linebreak />Defines connections of sensing capacitors.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="115" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="109" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="110" />
      </memberdef>
      <memberdef id="group__group__capsense__enums_1gabfbff81b8b80d4ee1a1d53c1fe0c9a11" kind="enum" prot="public" static="no">
        <name>cy_en_capsense_callback_event_t</name>
        <enumvalue id="group__group__capsense__enums_1ggabfbff81b8b80d4ee1a1d53c1fe0c9a11a32ca7c2ce1843b83c83e7461de88e42f" prot="public">
          <name>CY_CAPSENSE_START_SAMPLE_E</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>Start Sample Callback. </para>          </briefdescription>
          <detaileddescription>
<para>The callback will be executed before each sensor scan triggering </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggabfbff81b8b80d4ee1a1d53c1fe0c9a11adb60f8a07fdcd4959e1cc682b050ac58" prot="public">
          <name>CY_CAPSENSE_END_OF_SCAN_E</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>End Of Scan Callback. </para>          </briefdescription>
          <detaileddescription>
<para>The callback will be executed when sensor scan is finished and there is no other sensors in the queue to be scanned. </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_capsense_callback_event_t: </bold><linebreak />Defines CapSense middleware execution events when the CapSense callback can be executed.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="126" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="120" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="121" />
      </memberdef>
      <memberdef id="group__group__capsense__enums_1ga8f12924cdfe09cc22def0407e512c60b" kind="enum" prot="public" static="no">
        <name>cy_en_capsense_bist_hw_config_t</name>
        <enumvalue id="group__group__capsense__enums_1gga8f12924cdfe09cc22def0407e512c60ba6721027a5041a590fb580bbb387468c4" prot="public">
          <name>CY_CAPSENSE_BIST_HW_UNDEFINED_E</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>Initialization or releasing the CSD HW block. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga8f12924cdfe09cc22def0407e512c60bae808fdf59791814d38e48e3d4e3d6cab" prot="public">
          <name>CY_CAPSENSE_BIST_HW_SHORT_E</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>Short tests. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga8f12924cdfe09cc22def0407e512c60bac3f24b124e6502bc91a2a87c8dea3467" prot="public">
          <name>CY_CAPSENSE_BIST_HW_ELTD_CAP_E</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>Sensor and shield electrodes capacitance measurements with disabled shield. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga8f12924cdfe09cc22def0407e512c60ba0cccf8fa84261cb7e4f6836458bad6f8" prot="public">
          <name>CY_CAPSENSE_BIST_HW_EXTERNAL_CAP_E</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>External capacitors capacitance measurements. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga8f12924cdfe09cc22def0407e512c60ba820f53158bd2e8d1cfb2651079032936" prot="public">
          <name>CY_CAPSENSE_BIST_HW_VDDA_E</name>
          <initializer>= 0x04u</initializer>
          <briefdescription>
<para>VDDA measurement. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga8f12924cdfe09cc22def0407e512c60bae8573fab188fc42701a49c742c883086" prot="public">
          <name>CY_CAPSENSE_BIST_HW_ELTD_CAP_SH_E</name>
          <initializer>= 0x05u</initializer>
          <briefdescription>
<para>Sensor electrodes capacitance measurements with configured shield. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_capsense_bist_hw_config_t: </bold><linebreak />Defines HW configurations types for BIST operations.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="138" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="130" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="131" />
      </memberdef>
      <memberdef id="group__group__capsense__enums_1ga0e370bf700c29e03461030db2779ceec" kind="enum" prot="public" static="no">
        <name>cy_en_capsense_bist_io_state_t</name>
        <enumvalue id="group__group__capsense__enums_1gga0e370bf700c29e03461030db2779ceeca1b4ffa3b03cc730480b1ee44be73d09c" prot="public">
          <name>CY_CAPSENSE_BIST_IO_UNDEFINED_E</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>The undefined state. </para>          </briefdescription>
          <detaileddescription>
<para>Pins are disconnected from AMuxBus </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga0e370bf700c29e03461030db2779ceeca4e7f6404fa329f5f8a4e8801a34e8080" prot="public">
          <name>CY_CAPSENSE_BIST_IO_STRONG_E</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>The drive mode is set to Strong in off - Low. </para>          </briefdescription>
          <detaileddescription>
<para>The HSIOM is set to GPIO </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga0e370bf700c29e03461030db2779ceeca7532ce3fd04bc5ae9a9a554367f24e54" prot="public">
          <name>CY_CAPSENSE_BIST_IO_HIGHZA_E</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>The drive mode is set to High-Z. </para>          </briefdescription>
          <detaileddescription>
<para>The HSIOM is set to GPIO </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga0e370bf700c29e03461030db2779ceeca3f1270ba1326fae64c3df88540c7bb7f" prot="public">
          <name>CY_CAPSENSE_BIST_IO_SENSE_E</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>The drive mode is set to High-Z/Strong in off (depending on the device platform). </para>          </briefdescription>
          <detaileddescription>
<para>The HSIOM is set to CSD sense connection. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga0e370bf700c29e03461030db2779ceeca15bc3a003e4a77d67be2807aa1b6bdba" prot="public">
          <name>CY_CAPSENSE_BIST_IO_SHIELD_E</name>
          <initializer>= 0x04u</initializer>
          <briefdescription>
<para>The drive mode is set to High-Z/Strong in off (depending on the device platform). </para>          </briefdescription>
          <detaileddescription>
<para>The HSIOM is set to CSD shield connection. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga0e370bf700c29e03461030db2779ceeca532cc6485eb0f37cac049f6a268465a6" prot="public">
          <name>CY_CAPSENSE_BIST_IO_STRONG_HIGH_E</name>
          <initializer>= 0x05u</initializer>
          <briefdescription>
<para>The drive mode is set to Strong in off - High. </para>          </briefdescription>
          <detaileddescription>
<para>The HSIOM is set to GPIO </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_capsense_bist_io_state_t: </bold><linebreak />Defines BIST IO Configuration.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="155" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="142" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="143" />
      </memberdef>
      <memberdef id="group__group__capsense__enums_1gafbe67572b1e6a637676b0a6e1040857c" kind="enum" prot="public" static="no">
        <name>cy_en_capsense_bist_status_t</name>
        <enumvalue id="group__group__capsense__enums_1ggafbe67572b1e6a637676b0a6e1040857ca446645c89682b433f4294cc2251217f1" prot="public">
          <name>CY_CAPSENSE_BIST_SUCCESS_E</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>The success test status. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggafbe67572b1e6a637676b0a6e1040857ca66ae37f5dda5bc54f08f39a3c47af841" prot="public">
          <name>CY_CAPSENSE_BIST_BAD_PARAM_E</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>The bad input parameters test status. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggafbe67572b1e6a637676b0a6e1040857ca6c651f6e693a610e55047aed09a0ac5f" prot="public">
          <name>CY_CAPSENSE_BIST_HW_BUSY_E</name>
          <initializer>= 0x02u</initializer>
          <briefdescription>
<para>The CSD HW block is busy by previous operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggafbe67572b1e6a637676b0a6e1040857ca903bdfd6556833de241df23a903f7b62" prot="public">
          <name>CY_CAPSENSE_BIST_LOW_LIMIT_E</name>
          <initializer>= 0x03u</initializer>
          <briefdescription>
<para>The status for a low limit reached during the test. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggafbe67572b1e6a637676b0a6e1040857cad8c13f3c18b3baae715bf7655356a528" prot="public">
          <name>CY_CAPSENSE_BIST_HIGH_LIMIT_E</name>
          <initializer>= 0x04u</initializer>
          <briefdescription>
<para>The status for a high limit reached during the test. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggafbe67572b1e6a637676b0a6e1040857ca8454fc9f2934cdb63ed2a9962b318749" prot="public">
          <name>CY_CAPSENSE_BIST_ERROR_E</name>
          <initializer>= 0x05u</initializer>
          <briefdescription>
<para>The status for an error occurred during the test. </para>          </briefdescription>
          <detaileddescription>
<para>The test is not completed </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggafbe67572b1e6a637676b0a6e1040857caaaa05668fc0be7bfb934a228b0d9410c" prot="public">
          <name>CY_CAPSENSE_BIST_FEATURE_DISABLED_E</name>
          <initializer>= 0x06u</initializer>
          <briefdescription>
<para>The BIST feature is disabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggafbe67572b1e6a637676b0a6e1040857ca7c3531ff81e35c5a17b9bb6326027710" prot="public">
          <name>CY_CAPSENSE_BIST_TIMEOUT_E</name>
          <initializer>= 0x07u</initializer>
          <briefdescription>
<para>The status for a timeout occurred during the test. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1ggafbe67572b1e6a637676b0a6e1040857ca561a9faf24c500cc9990b46117fdcace" prot="public">
          <name>CY_CAPSENSE_BIST_FAIL_E</name>
          <initializer>= 0x0Fu</initializer>
          <briefdescription>
<para>The failed test status. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_capsense_bist_status_t: </bold><linebreak />Defines BIST result statuses.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="171" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="159" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="160" />
      </memberdef>
      <memberdef id="group__group__capsense__enums_1ga2f401fe83daac81512b02b33fc967f57" kind="enum" prot="public" static="no">
        <name>cy_en_capsense_msc_raw_mode_t</name>
        <enumvalue id="group__group__capsense__enums_1gga2f401fe83daac81512b02b33fc967f57a7f25b1c06cfbe093b6d3c3355a31a19c" prot="public">
          <name>CY_CAPSENSE_MSC_RAW_SATURATE_E</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>In this scenario, RAW_COUNT is clamped at 0xFFFF and RESULT_FIFO_RD.OVERFLOW is set. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__capsense__enums_1gga2f401fe83daac81512b02b33fc967f57ad65e8f38f552e1a10fc39b779fcbe6a2" prot="public">
          <name>CY_CAPSENSE_MSC_RAW_OVERFLOW_E</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>In this scenario, RAW_COUNT rolls over and RESULT_FIFO_RD.OVERFLOW is set. </para>          </briefdescription>
          <detaileddescription>
<para>This mode allows more sensitive tuning if measuring baseline capacitance </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_capsense_msc_raw_mode_t: </bold><linebreak />Defines the raw count accumulation mode for MSC HW block.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="179" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="175" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="176" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Documents CapSense related enumerated types. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>